<template>
  <dashboard-layout title="Proprietaires">
    <div class="container-fluid" style="margin: 50px 0 0 0;">
      <div class="row">
        <div class="col-sm">
          <div class=" mb-5">
            <div class="row mb-5">
              <div class="col-sm-3"></div>
              <h3 class="text-center col-sm-6">Historique des Actions</h3> 
            </div>
            <div class="">
              <div class="table-responsive">
                <div class="p-5" v-if="isLoading">
                  <fulfilling-bouncing-circle-spinner
                    class="mx-auto"
                    :animation-duration="2000"
                    :size="60"
                    :color="'#6D071A'"
                  />
                </div>
                <div v-else>
                  <div v-if="total != 0">
                    <table class="table rounded">
                      <thead>
                        <th>#</th>
                        <th>Personne</th>
                        <th>Location</th>
                        <th>Date</th>
                        <th>Action</th>
                      </thead>
                      <tbody>
                        <tr v-for="(histo, i) in historiques" :key="i">
                          <td>{{ (curPage - 1) * perPage + i + 1 }}</td>
                          <td>{{ histo.admin }}</td>
                          <td>{{ histo.location ? histo.location : '' }}</td>
                          <td>{{ histo.date | moment("MMMM Do YYYY, h:mm:ss a") }}</td>
                          <td>{{ histo.message }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div v-else>
                    <h4 class="text-center my-2">Aucun résultat trouvé !</h4>
                  </div>
                  
                </div>
              </div> 
            </div>
          </div>
        </div> 
      </div>
    </div>
  </dashboard-layout>
</template>

<script>
export default {
  name: "home",
  data() {
    return {
      historiques: [],
      isLoading: false,
      errorMessage: "",
      curPage: 1,
      perPage: 100,
      adminLog: false,
      total: 0,
      center: {},
      userDatas: {},
    };
  },
  mounted() {
    this.init();
    this.userDatas = JSON.parse(localStorage.getItem("adminInfo")); 

    navigator.geolocation.getCurrentPosition(position => {
      this.center = {
        latitude: position.coords.latitude,
        longitude: position.coords.longitude,
      };
    });
  },
  methods: {
    init(page, resetParams) {
      if (resetParams) {
        this.curPage = 1;
      }
      
      let query = query = {
        options: {},
        sort: {
          createdAt: -1,
        },
      };
      

      if(localStorage.getItem("adminRole") == 'agence')
        query.options.agence = localStorage.getItem("adminId");

      this.isLoading = true;

      this.$service.list("historiques", query, (err, data) => {
        if (err) {
          return console.log(err);
        }
        console.log('results historiques: ',data)
        this.isLoading = false;
        this.errorMessage = "";
        this.historiques = data.historiques;
        this.total = data.historiques.length;
      });
    },
  },
};
</script>